//----------------------------------------------------------------------------------------------------------------------
// Vue Select Bootstrap Theme
//
// (see https://vue-select.org/guide/css.html#scss-variables)
//----------------------------------------------------------------------------------------------------------------------

$vs-colors: (
    lightest: rgba(60, 60, 60, 0.26),
    light: rgba(60, 60, 60, 0.5),
    dark: #333,
    darkest: rgba(0, 0, 0, .15),
) !default;

//  Global Component Variables
$vs-component-line-height: $input-line-height !important;
$vs-component-placeholder-color: $input-placeholder-color !important;

//  Active State
$vs-state-active-bg: $dropdown-link-active-bg;
$vs-state-active-color: $dropdown-link-active-color;

//  Disabled State
$vs-state-disabled-bg: $input-disabled-bg;
$vs-state-disabled-color: $input-color;
$vs-state-disabled-controls-color: $dropdown-link-disabled-color;
//$vs-state-disabled-cursor: not-allowed !default;

//  Borders
$vs-border-width: $input-border-width;
$vs-border-style: solid;
$vs-border-radius: $input-border-radius;
$vs-border-color: $input-border-color;

//  Component Controls: Clear, Open Indicator
$vs-controls-color: $close-color;
$vs-controls-size: 1;
$vs-controls-deselect-text-shadow: $close-text-shadow;

//  Selected
$vs-selected-bg: $input-bg;
$vs-selected-border-color: $vs-border-color !default;
$vs-selected-border-style: $vs-border-style !default;
$vs-selected-border-width: $vs-border-width !default;

//  Dropdown
$vs-dropdown-z-index: 1000;
$vs-dropdown-min-width: 160px;
$vs-dropdown-max-height: 350px;
$vs-dropdown-box-shadow: $dropdown-box-shadow;
$vs-dropdown-bg: $dropdown-bg;

// Override the animation on open, because Bootstrap Vue doesn't use it.
.vs__open-indicator {
    transition: none !important;
}

.vs__actions {
    padding: 0 6px 0 3px;
}

.vs__dropdown-toggle {
    background-color: $input-bg !important;
    padding: 0 0 0.375rem 0 !important
}

//----------------------------------------------------------------------------------------------------------------------

@import "../../node_modules/vue-select/src/scss/vue-select";

//----------------------------------------------------------------------------------------------------------------------

